tbb::interface9::internal::proportion_helper< Range, typename enable_if< Range::is_splittable_in_proportion, void >::type > Struct Template Reference

`#include <partitioner.h>`

Collaboration diagram for tbb::interface9::internal::proportion_helper< Range, typename enable_if< Range::is_splittable_in_proportion, void >::type >:

## Static Public Member Functions

static proportional_split | get_split (size_t n)

## Detailed Description

### template<typename Range>
struct tbb::interface9::internal::proportion_helper< Range, typename enable_if< Range::is_splittable_in_proportion, void >::type >

Definition at line 288 of file partitioner.h.

## Member Function Documentation

## get_split()

template<typename Range >

static proportional_split tbb::interface9::internal::proportion_helper< Range, typename enable_if< Range::is_splittable_in_proportion, void >::type >::get_split | ( | size_t | n | ) |

inline static

Definition at line 289 of file partitioner.h.

{
#if __TBB_NONUNIFORM_TASK_CREATION
size_t right = (n + 2) / 3;
#else
size_t right = n / 2;
#endif
size_t left = n - right;
return proportional_split(left, right);
}

The documentation for this struct was generated from the following file:

- partitioner.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.